Eclipse Platform Release 3.7

## org.eclipse.swt.events
Interface MenuListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  MenuAdapter

    public interface MenuListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the hiding and showing of menus.

After creating an instance of a class that implements this interface it can be added to a menu using the `addMenuListener` method and removed using the `removeMenuListener` method. When the menu is hidden or shown, the appropriate method will be invoked.

See Also:
  `MenuAdapter`, `MenuEvent`

Method Summary
`void` `menuHidden(MenuEvent e)` Sent when a menu is hidden.
`void` `menuShown(MenuEvent e)` Sent when a menu is shown.

Method Detail

### menuHidden

    void menuHidden(MenuEvent e)

  Sent when a menu is hidden.

  Parameters:
    `e` - an event containing information about the menu operation

### menuShown

    void menuShown(MenuEvent e)

  Sent when a menu is shown.

  Parameters:
    `e` - an event containing information about the menu operation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.